
#ifndef QULONGVALIDATOR_20071128_H_
#define QULONGVALIDATOR_20071128_H_

#include <QValidator>

class QULongValidator : public QValidator {
public:
	typedef ulong value_type;
	
public:
	QULongValidator(QObject *parent = 0);
	explicit QULongValidator(value_type minimum = 0, value_type maximum = 0, QObject *parent = 0);
	~QULongValidator();
	
	value_type bottom() const;
	void setBottom(value_type bottom);
	virtual void setRange(value_type bottom, value_type top);
	void setTop(value_type top);
	value_type top() const;
	virtual QValidator::State validate(QString &input, int &pos) const;
	
private:
	value_type m_Minimum;
	value_type m_Maximum;
};

#endif

